Skip to content

getGauge

READ

Get gauge.

POST /api/v1/quality/getGauge
curl -X POST '<your-host>/api/v1/quality/getGauge' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "gaugeId": "string"
  }'
Response
{
  "calibrationIntervalInMonths": 0,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "dateAcquired": "string",
  "description": "string",
  "gaugeCalibrationStatus": "Pending",
  "gaugeCalibrationStatusWithDueDate": "Pending",
  "gaugeId": "string",
  "gaugeRole": "Master",
  "gaugeStatus": "Active",
  "gaugeTypeId": "string",
  "id": "string",
  "lastCalibrationDate": "string",
  "lastCalibrationStatus": "Pending",
  "locationId": "string",
  "modelNumber": "string",
  "nextCalibrationDate": "string",
  "serialNumber": "string",
  "storageUnitId": "string",
  "supplierId": "string",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "gaugeId": {
      "type": "string"
    }
  },
  "required": [
    "gaugeId"
  ]
}